<div class="sberid_notify" style="display: none;"></div>

<script src="https://id.sber.ru/sdk/web/sberid-sdk.production.js"></script>
<script>

  document.addEventListener("DOMContentLoaded", function() {
    (function () {
      const oidcParams = {
        response_type: 'code',
        client_type: 'PRIVATE',
        client_id: '<?=$sberbank_auth_params['client_id'];?>',
        redirect_uri: '<?=$sberbank_auth_params['redirect_uri'];?>',
        scope: '<?=str_replace('+', ' ', $sberbank_auth_params['scope']);?>',
        nonce: '<?=$sberbank_auth_params['nonce'];?>',
        state: '<?=$sberbank_auth_params['state'];?>',
        app: false
      };
      const sa = {
        enable: true,
        init: 'auto',
        clientId: '<?=$sberbank_auth_params['client_id'];?>',
      };
       
      let params = {
        baseUrl: '<?=$sberbank_auth_params['base_url'];?>',
        oidc: oidcParams,
        container: '.sberid_notify',
        display: 'desktop',
        generateState: true,
        onSuccessCallback,
        onErrorCallback,
        moduleName: '<?=$sberbank_auth_params['module_info'];?>',
        sa: sa,
      }
      <?php if(isset($sberbank_auth_params['notification']) && $sberbank_auth_params['notification']) {?>
          const notification = {
              enable: true,
              serviceName: "",
              autoClose: false,
              autoCloseDelay: 90,
              position: '<?=$sberbank_auth_params['notification_position'];?>',
              theme: '<?=$sberbank_auth_params['notification_theme'];?>',
              textType: 'default',
          }
      <?php } else {?>
          const notification = {
              enable: false,
          }
        <?php }?>
      <?php if($options['button_fast'] === 'on') {?>
        params.fastLogin = {
          enable: true,
          timeout: 1000,
          mode: 'default',
        };
       <?php } ?>

      <?php if($options['button_personal'] === 'on') {?>
        params.personalization = true;
        params.changeUser = true;
      <?php } ?>

      <?php if($options['web_to_app'] === 'on') {?>
        params.mweb2app = true;
      <?php } ?>

      function onSuccessCallback(result) {
        const params = {
          nonce: oidcParams.nonce,
          code: result.code
        }
        fetch('<?=$sberbank_auth_params['redirect_uri_base'];?>&fast_login=1&' + new URLSearchParams(params)).then(function (response) {
          return response.json();
        }).then(function (params) {
            console.log(params)
          if(params.auth_status == 1) {
            window.location.href="/";            
          } else if(params.auth_status == 'login') {
            window.location.href = "<?=$sberbank_auth_params['redirect_uri_base'];?>&login_form=1";
          } else if(params.auth_status == 'email') {
            window.location.href = "<?=$sberbank_auth_params['redirect_uri_base'];?>&email_form=1";
          } else {
            console.log('cms: auth error')
            alert('cms: auth error')
          }
        });
      }
      function onErrorCallback(result) {
        alert('Что-то пошло не так. обратитесь к администратору.')
      }
      var sbSDK = new SberidSDK({ ...params, notification})
   .init()
   .then((sdk) => {
   // завершена инициализация sdk, ваш код если необходимо
   });
    }());
})
  

</script>
<style>

</style>